# define driver name, version and release
%define		drvname	vboxadditions
%define		drvver	4.3.26
%define		drvrel	1.mga4

# define core kernel version we build against
%define 	kernver		3.14.32
%define		kernrel		1.mga4

# where to build
%define		topdir		${RPM_BUILD_DIR}/%{name}-%{_arch}

# source package
Name:		kmod-%{drvname}
Version:	%{drvver}
Release:	%mkrel 1
Summary:	Prebuilt %{drvname} modules for kernel-%{kernver}-%{kernrel}
License:	GPLv2
URL:		http://www.virtualbox.org/
Group:		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	dkms-%{drvname} = %{drvver}-%{drvrel}
%ifarch %{ix86}
BuildRequires:	kernel-desktop586-devel-%{kernver}-%{kernrel}
%endif
BuildRequires:	kernel-desktop-devel-%{kernver}-%{kernrel}
BuildRequires:	kernel-server-devel-%{kernver}-%{kernrel}

%description
This package creates prebuilt %{drvname} kernel modules for core kernel.


# obsoletes prebuilt -netbook-latest modules with matching -desktop-latest
%define latest_obsoletes_desktop %{drvname}-kernel-netbook-latest < 4.2.4-2
%define latest_provides_desktop  %{drvname}-kernel-netbook-latest = %{drvver}-%{release}

##### mkflavour() ala core kernel #####
%define mkflavour()								\
%package -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Summary:	%{drvname} driver for kernel-%{1}-%{kernver}-%{kernrel}		\
License:	GPLv1								\
URL:		http://www.virtualbox.org/					\
Group:		System/Kernel and hardware					\
Requires(post): dkms-minimal							\
Requires(preun): dkms-minimal							\
Requires:	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(post):	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(preun): kernel-%{1}-%{kernver}-%{kernrel}				\
Suggests:	%{drvname}-kernel-%{1}-latest					\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Prebuilt dkms binary kernel modules for the %{drvname} driver version %{drvver} \
built for kernel-%{1}-%{kernver}-%{kernrel}.					\
										\
%files -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%dir /var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel} \
/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel}/* \
										\
%posttrans -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms install --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
%{_sbindir}/dkms status -m %{drvname} -v %{drvver}-%{drvrel}			\
										\
%preun -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms uninstall --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
										\
										\
%package -n %{drvname}-kernel-%{1}-latest					\
Summary:	Virtual rpm for latest %{drvname}-kernel-%{1} driver		\
License:	GPLv2								\
URL:		http://www.virtualbox.org/					\
Group:		System/Kernel and hardware					\
Requires:	%{drvname}-kernel-%{kernver}-%{1}-%{kernrel} = %{version}-%{release} \
%{expand:%%{?latest_obsoletes_%{1}:Obsoletes: %{latest_obsoletes_%{1}}}}	\
%{expand:%%{?latest_provides_%{1}:Provides: %{latest_provides_%{1}}}}		\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{1}-latest					\
This package is a virtual rpm that aims to make sure you always have the	\
latest prebuilt %{drvname} driver for kernel-%{1}.				\
										\
%files -n %{drvname}-kernel-%{1}-latest

%ifarch %{ix86}
%mkflavour desktop586
%endif

%mkflavour desktop
%mkflavour server


%prep
rm -rf %{topdir}

%build
%{_sbindir}/dkms add -m %{drvname} -v %{drvver}-%{drvrel} --dkmstree %{topdir}/var/lib/dkms-binary
%ifarch %{ix86}
%{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
	    -k %{kernver}-desktop586-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-desktop586-%{kernrel} \
	    --dkmstree %{topdir}/var/lib/dkms-binary
%endif
for flavour in desktop server; do
    %{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
		-k %{kernver}-$flavour-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-$flavour-%{kernrel} \
		--dkmstree %{topdir}/var/lib/dkms-binary
done

%install
mkdir -p %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}
cp -a %{topdir}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel} \
      %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/
for dir in %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel}; do
    cp -a /usr/src/%{drvname}-%{drvver}-%{drvrel}/dkms.conf $dir/
    xz -6e $dir/*/module/vbox*.ko ||:
done


%changelog
* Wed Mar 18 2015 tmb <tmb> 4.3.26-1.mga4
+ Revision: 818816
- rebuild for virtualbox 4.3.26
- rebuild for virtualbox-4.3.24-1.mga4
- rebuild for virtualbox-4.3.22-1.mga4
- rebuild for kernel-3.14.32-1.mga4
- run dkms install in posttrans
- rebuild for kernel-3.14.29-1.mga4
- rebuild for kernel-3.14.27-1.mga4
- rebuild for kernel-3.14.25-1.mga4
- rebuild for virtualbox-4.3.20-1.mga4
- rebuild for kernel-3.14.24-1.mga4
- rebuild for kernel-3.14.23-1.mga4
- rebuild for kernel-3.14.22-1.mga4
- rebuild for virtualbox-4.3.18-1.mga4
- rebuild for kernel-3.14.21-1.mga4
- rebuild for kernel-3.14.18-3.mga4 and virtualbox-4.3.16-1.mga4
- rebuild for kernel-3.14.17-2.mga4
- rebuild for kernel-3.14.17-1.mga4
- rebuild for kernel-3.12.25-3.mga4
- rebuild for kernel-3.12.25-2.mga4
- rebuild for 3.12.25-1.mga4
- rebuild for kernel-3.12.21-2.mga4
- rebuild for kernel-3.12.21-1.mga4
- rebuild for kernel-3.12.20-1.mga4
- rebuild for kernel-3.12.18-1.mga4
- rebuild for virtualbox-4.3.10-1.1.mga4
- rebuild for kernel-3.12.13-2.mga4
- rebuild for kernel-3.12.13-1.mga4

* Fri Jan 24 2014 tmb <tmb> 4.3.6-8.mga4
+ Revision: 567990
- rebuild for kernel-3.12.8-2.mga4

* Sun Jan 19 2014 tmb <tmb> 4.3.6-7.mga4
+ Revision: 566918
- rebuild for kernel-3.12.8-1.mga4

* Mon Jan 13 2014 tmb <tmb> 4.3.6-6.mga4
+ Revision: 566414
- rebuild for kernel-3.12.7-1.mga4

* Thu Jan 09 2014 tmb <tmb> 4.3.6-5.mga4
+ Revision: 566003
- rebuild for kernel-3.12.6-5.mga4

* Tue Jan 07 2014 tmb <tmb> 4.3.6-4.mga4
+ Revision: 565406
- rebuild for kernel-3.12.6-4.mga4

* Sat Jan 04 2014 tmb <tmb> 4.3.6-3.mga4
+ Revision: 564467
- rebuild for kernel-3.12.6-3.mga4

* Sun Dec 29 2013 tmb <tmb> 4.3.6-2.mga4
+ Revision: 563044
- rebuild for kernel-3.12.6-2.mga4

* Sat Dec 21 2013 tmb <tmb> 4.3.6-1.mga4
+ Revision: 559325
- rebuild for virtualbox-4.3.6-1.mga4

* Fri Dec 20 2013 tmb <tmb> 4.3.4-7.mga4
+ Revision: 559288
- rebuild for kernel-3.12.6-1.mga4

* Sun Dec 15 2013 tmb <tmb> 4.3.4-6.mga4
+ Revision: 556895
- rebuild for kernel-3.12.5-1.mga4

* Fri Dec 06 2013 tmb <tmb> 4.3.4-5.mga4
+ Revision: 555636
- rebuild for virtualbox-4.3.4-3.mga4

* Thu Dec 05 2013 tmb <tmb> 4.3.4-4.mga4
+ Revision: 555284
- rebuild for updates_testing

* Thu Dec 05 2013 tmb <tmb> 4.3.4-3.mga4
+ Revision: 555282
- rebuild for kernel-3.12.3-1.mga4

* Wed Dec 04 2013 tmb <tmb> 4.3.4-2.mga4
+ Revision: 555170
- rebuild for virtualbox-4.3.4-2.mga4

* Sat Nov 30 2013 tmb <tmb> 4.3.4-1.mga4
+ Revision: 554343
- rebuild for virtualbox-4.3.4-1.mga4
- rebuild for kernel-3.12.2-1.mga4

* Thu Nov 21 2013 tmb <tmb> 4.3.2-5.mga4
+ Revision: 552226
- rebuild for kernel-3.12.1-1.mga4

* Sun Nov 17 2013 tmb <tmb> 4.3.2-4.mga4
+ Revision: 551638
- rebuild for kernel-3.12.0-3.mga4

* Sat Nov 09 2013 tmb <tmb> 4.3.2-3.mga4
+ Revision: 550053
- rebuild for kernel-3.12.0-2.mga4

* Mon Nov 04 2013 tmb <tmb> 4.3.2-2.mga4
+ Revision: 549337
- rebuild for kernel-3.12.0-1.mga4

* Sat Nov 02 2013 tmb <tmb> 4.3.2-1.mga4
+ Revision: 549152
- rebuild for kernel-3.12.0-0.rc7.2.mga4
- rebuild for virtualbox-4.3.2-1.mga4

* Thu Oct 31 2013 tmb <tmb> 4.3.0-7.mga4
+ Revision: 548490
- rebuild for kernel-3.12.0-0.rc7.1.mga4

* Sat Oct 26 2013 tmb <tmb> 4.3.0-6.mga4
+ Revision: 547176
- rebuild for kernel-3.12.0-0.rc6.2.mga4

* Tue Oct 22 2013 umeabot <umeabot> 4.3.0-5.mga4
+ Revision: 545754
- Mageia 4 Mass Rebuild

  + tmb <tmb>
    - rebuild for kernel-3.12.0-0.rc6.1.mga4

* Wed Oct 16 2013 tmb <tmb> 4.3.0-3.mga4
+ Revision: 501710
- rebuild for virtualbox-4.3.0-2.mga4

* Wed Oct 16 2013 tmb <tmb> 4.3.0-2.mga4
+ Revision: 501622
- rebuild for kernel-3.12.0-0.rc5.2.mga4

* Wed Oct 16 2013 tmb <tmb> 4.3.0-1.mga4
+ Revision: 501301
- rebuild for virtualbox-4.3.0-1.mga4

* Tue Oct 15 2013 tmb <tmb> 4.2.18-8.mga4
+ Revision: 500376
- rebuild for 4.2.18-4.mga4

* Mon Oct 14 2013 tmb <tmb> 4.2.18-7.mga4
+ Revision: 496947
- rebuild for virtualbox-4.2.18-3.mga4
- rebuild for kernel-3.12.0-0.rc5.1.mga4

* Thu Oct 03 2013 tmb <tmb> 4.2.18-5.mga4
+ Revision: 490982
- rebuild for kernel-3.11.4-1.mga4

* Mon Sep 30 2013 tmb <tmb> 4.2.18-4.mga4
+ Revision: 489607
- rebuild for kernel-3.11.2-2.mga4

* Fri Sep 27 2013 tmb <tmb> 4.2.18-3.mga4
+ Revision: 487606
- rebuild for kernel-3.11.2-1.mga4

* Wed Sep 25 2013 tmb <tmb> 4.2.18-2.mga4
+ Revision: 486409
- rebuild for kernel-3.11.1-1.mga4

* Sat Sep 07 2013 fwang <fwang> 4.2.18-1.mga4
+ Revision: 475608
- rebuild for new virtualbox

* Tue Sep 03 2013 tmb <tmb> 4.2.16-15.mga4
+ Revision: 474686
- rebuild for kernel-3.10.10-3.mga4

* Fri Aug 30 2013 tmb <tmb> 4.2.16-14.mga4
+ Revision: 473477
- rebuild for kernel-3.10.10-2.mga4

* Thu Aug 29 2013 tmb <tmb> 4.2.16-13.mga4
+ Revision: 473085
- rebuild for kernel-3.10.10-1.mga4

* Wed Aug 21 2013 tmb <tmb> 4.2.16-12.mga4
+ Revision: 469181
- rebuild for kernel-3.10.9-1.mga4

* Sat Aug 17 2013 tmb <tmb> 4.2.16-11.mga4
+ Revision: 467180
- rebuild for kernel-3.10.7-1.mga4

* Mon Aug 12 2013 tmb <tmb> 4.2.16-10.mga4
+ Revision: 465876
- rebuild for kernel-3.10.6-1.mga4

* Sun Aug 11 2013 tmb <tmb> 4.2.16-9.mga4
+ Revision: 465478
- rebuild for kernel-3.10.5-4.mga4

* Mon Aug 05 2013 tmb <tmb> 4.2.16-8.mga4
+ Revision: 464041
- rebuild for kernel-3.10.5-3.mga4

* Mon Aug 05 2013 tmb <tmb> 4.2.16-7.mga4
+ Revision: 463821
- rebuild for kernel-3.10.5-2.mga4

* Sun Aug 04 2013 tmb <tmb> 4.2.16-6.mga4
+ Revision: 463614
- rebuild for kernel-3.10.5-1.mga4

* Mon Jul 29 2013 tmb <tmb> 4.2.16-5.mga4
+ Revision: 460450
- rebuild for kernel-3.10.4-1.mga4

* Fri Jul 26 2013 tmb <tmb> 4.2.16-4.mga4
+ Revision: 458450
- rebuild for kernel-3.10.3-1.mga4

* Mon Jul 22 2013 tmb <tmb> 4.2.16-3.mga4
+ Revision: 457052
- rebuild for kernel-3.10.2-1.mga4

* Sun Jul 14 2013 tmb <tmb> 4.2.16-2.mga4
+ Revision: 454235
- rebuild for kernel-3.10.1-1.mga4

* Tue Jul 09 2013 fwang <fwang> 4.2.16-1.mga4
+ Revision: 452104
- rebuild for new virtualbox

* Fri Jun 28 2013 tmb <tmb> 4.2.14-2.mga4
+ Revision: 447746
- rebuild for kernel-3.9.8-1.mga4

* Wed Jun 26 2013 fwang <fwang> 4.2.14-1.mga4
+ Revision: 446728
- rebuild for new virtualbox

* Fri Jun 21 2013 tmb <tmb> 4.2.12-15.mga4
+ Revision: 445351
- rebuild for kernel-3.9.7-1.mga4

* Tue Jun 18 2013 tv <tv> 4.2.12-14.mga4
+ Revision: 444816
- rebuild for new kernel

* Sun Jun 02 2013 tmb <tmb> 4.2.12-13.mga4
+ Revision: 434775
- rebuild for kernel-3.9.4-1.mga4

* Sat Jun 01 2013 sander85 <sander85> 4.2.12-12.mga4
+ Revision: 434073
- Rebuild for virtualbox-4.2.12-4.mga4

* Tue May 14 2013 tmb <tmb> 4.2.12-11.mga3
+ Revision: 413196
- rebuild for kernel-3.8.13-1.mga3

* Fri May 10 2013 tmb <tmb> 4.2.12-10.mga3
+ Revision: 412836
- rebuild for kernel-3.8.12-2.mga3

* Wed May 08 2013 tmb <tmb> 4.2.12-9.mga3
+ Revision: 412678
- rebuild for kernel-3.8.12-1.mga3

* Wed May 01 2013 tmb <tmb> 4.2.12-8.mga3
+ Revision: 411834
- rebuild for kernel-3.8.11-1.mga3

* Sat Apr 27 2013 tmb <tmb> 4.2.12-7.mga3
+ Revision: 411366
- rebuild for kernel-3.8.10-1.mga3

* Mon Apr 22 2013 tmb <tmb> 4.2.12-6.mga3
+ Revision: 410893
- rebuild for kernel-3.8.8-3.mga3

* Sun Apr 21 2013 tmb <tmb> 4.2.12-5.mga3
+ Revision: 410750
- rebuild for virtualbox-4.2.12-2.mga3

* Sat Apr 20 2013 tmb <tmb> 4.2.12-4.mga3
+ Revision: 410596
- rebuild for kernel-3.8.8-2.mga3

* Wed Apr 17 2013 tmb <tmb> 4.2.12-3.mga3
+ Revision: 410297
- rebuild for kernel-3.8.8-1.mga3

* Sat Apr 13 2013 tmb <tmb> 4.2.12-2.mga3
+ Revision: 409938
- rebuild for kernel-3.8.7-1.mga3

* Sat Apr 13 2013 tmb <tmb> 4.2.12-1.mga3
+ Revision: 409898
- rebuild for virtualbox-4.2.12-1.mga3

* Tue Apr 09 2013 tmb <tmb> 4.2.10-5.mga3
+ Revision: 409298
- rebuild for kernel-3.8.6-2.mga3

* Sun Apr 07 2013 tmb <tmb> 4.2.10-4.mga3
+ Revision: 408777
- rebuild for kernel-3.8.6-1.mga3

* Sat Mar 30 2013 tmb <tmb> 4.2.10-3.mga3
+ Revision: 406638
- rebuild for kernel-3.8.5-1.mga3

* Mon Mar 25 2013 fwang <fwang> 4.2.10-2.mga3
+ Revision: 405186
- rebuild for new virtualbox

* Thu Mar 21 2013 fwang <fwang> 4.2.10-1.mga3
+ Revision: 404220
- rebuild for new virtualbox

* Mon Mar 18 2013 tmb <tmb> 4.2.8-3.mga3
+ Revision: 403973
- rebuild for kernel-3.8.3-2.mga3

* Fri Mar 15 2013 tmb <tmb> 4.2.8-2.mga3
+ Revision: 403331
- rebuild for kernel-3.8.3-1.mga3

* Sat Mar 02 2013 tmb <tmb> 4.2.8-1.mga3
+ Revision: 401117
- rebuild for virtualbox-4.2.8-1.mga3
- rebuild for kernel-3.8.1-1.mga3

* Thu Feb 28 2013 tmb <tmb> 4.2.6-12.mga3
+ Revision: 400598
- rebuild for kernel-3.8.0-3.mga3

* Fri Feb 22 2013 tmb <tmb> 4.2.6-11.mga3
+ Revision: 399995
- rebuild for kernel-3.8.0-2.mga3

* Tue Feb 19 2013 tmb <tmb> 4.2.6-10.mga3
+ Revision: 399327
- rebuild for kernel-3.8.0-1.mga3

* Sat Feb 09 2013 tmb <tmb> 4.2.6-9.mga3
+ Revision: 397396
- rebuild for kernel-3.8.0-0.rc7.1.mga3

* Wed Feb 06 2013 tmb <tmb> 4.2.6-8.mga3
+ Revision: 394967
- rebuild for kernel-3.8.0-0.rc6.1.mga3

* Sun Jan 27 2013 tmb <tmb> 4.2.6-7.mga3
+ Revision: 392640
- rebuild for kernel-3.8.0-0.rc5.1.mga3

* Fri Jan 18 2013 tmb <tmb> 4.2.6-6.mga3
+ Revision: 389521
- rebuild for kernel-3.8.0-0.rc4.1.mga3

* Thu Jan 17 2013 tmb <tmb> 4.2.6-5.mga3
+ Revision: 388932
- rebuild with fixed virtualbox-4.2.6-4.mga3
- rebuild for kernel-3.8.0-0.rc3.2.mga3

* Tue Jan 15 2013 fwang <fwang> 4.2.6-4.mga3
+ Revision: 388337
- rebuild for new driver

* Thu Jan 10 2013 tmb <tmb> 4.2.6-3.mga3
+ Revision: 344733
- rebuild for kernel-3.8.0-0.rc3.1.mga3

* Thu Dec 20 2012 fwang <fwang> 4.2.6-1.mga3
+ Revision: 333300
- rebuild for new virtualbox

* Tue Dec 18 2012 tmb <tmb> 4.2.4-4.mga3
+ Revision: 332492
- rebuild for kernel-3.7.1-1.mga3

* Tue Dec 11 2012 tmb <tmb> 4.2.4-3.mga3
+ Revision: 329586
- rebuild for kernel-3.7.0-1.mga3

* Fri Dec 07 2012 tmb <tmb> 4.2.4-2.mga3
+ Revision: 327634
- fix dkms-vboxadditions version
- fix obsolete version
- kernel-netbook is gone, so have -netbook-latest packages update to
  matching -desktop-latest
- rebuild for kernel-3.7.0-0.rc8.1.mga3
- ingore already compressed modules

* Thu Nov 01 2012 tmb <tmb> 4.2.4-1.mga3
+ Revision: 311861
- rebuild for kernel-3.6.5-1.mga3
- rebuild for virtualbox-4.2.4

* Sun Oct 28 2012 tmb <tmb> 4.2.0-6.mga3
+ Revision: 311238
- rebuild for kernel-3.6.4-1.mga3

* Sun Oct 21 2012 tmb <tmb> 4.2.0-5.mga3
+ Revision: 309021
- rebuild for kernel-3.6.3-1.mga3

* Thu Oct 18 2012 tmb <tmb> 4.2.0-4.mga3
+ Revision: 307881
- rebuild for kernel-3.6.2-1.mga3

* Sun Sep 30 2012 tmb <tmb> 4.2.0-3.mga3
+ Revision: 300738
- rebuild for kernel-3.5.5-0.rc1.1.mga3

* Sat Sep 15 2012 tmb <tmb> 4.2.0-2.mga3
+ Revision: 294146
- rebuild for kernel-3.5.4-1.mga3

* Fri Sep 14 2012 tmb <tmb> 4.2.0-1.mga3
+ Revision: 293750
- rebuild for virtualbox-4.2.0-1.mga3

* Tue Sep 11 2012 tmb <tmb> 4.1.22-2.mga3
+ Revision: 292396
- rebuild for kernel-3.5.3-3.mga3

* Sat Sep 08 2012 tmb <tmb> 4.1.22-1.mga3
+ Revision: 290463
- rebuild for virtualbox 4.1.22

* Thu Aug 30 2012 tmb <tmb> 4.1.18-8.mga3
+ Revision: 285704
- rebuild for kernel-3.5.3-2.mga3

* Sun Aug 26 2012 tmb <tmb> 4.1.18-7.mga3
+ Revision: 284290
- rebuild for kernel-3.5.3-1.mga3

* Thu Aug 16 2012 tmb <tmb> 4.1.18-6.mga3
+ Revision: 281609
- rebuild for kernel-3.5.2-1.mga3

* Sat Aug 11 2012 tmb <tmb> 4.1.18-5.mga3
+ Revision: 280504
- rebuild for kernel-3.5.1-1.mga3

* Sat Jul 28 2012 tmb <tmb> 4.1.18-4.mga3
+ Revision: 275095
- rebuild for kernel-3.5.0-1.mga3

* Fri Jul 20 2012 tmb <tmb> 4.1.18-3.mga3
+ Revision: 272921
- rebuild for kernel-3.4.6-1.mga3

* Thu Jul 19 2012 tmb <tmb> 4.1.18-2.mga3
+ Revision: 272423
- rebuild for kernel-3.4.5-1.mga3

* Sun Jul 01 2012 tmb <tmb> 4.1.18-1.mga3
+ Revision: 266256
- rebuild for vboxadditions 4.1.18
- rebuild for kernel 3.4.4-2.mga3

* Wed Jun 27 2012 tmb <tmb> 4.1.16-6.mga3
+ Revision: 264259
- rebuild for kernel-3.4.4-1.mga3

* Wed Jun 20 2012 tmb <tmb> 4.1.16-5.mga3
+ Revision: 262341
- rebuild for kernel-3.4.3-1.mga3

* Sat Jun 09 2012 tmb <tmb> 4.1.16-4.mga3
+ Revision: 259033
- rebuild for kernel-3.4.2-1.mga3

* Wed Jun 06 2012 tmb <tmb> 4.1.16-3.mga3
+ Revision: 256572
- rebuild for virtualbox-4.1.16-4.mga3

* Tue Jun 05 2012 tmb <tmb> 4.1.16-2.mga3
+ Revision: 255754
- rebuild for kernel-3.4.1-1.mga3

* Mon May 28 2012 tmb <tmb> 4.1.16-1.mga3
+ Revision: 247884
- rebuild for kernel-3.4.1-0.rc1.1.mga3

* Thu May 17 2012 tmb <tmb> 4.1.12-5.mga2
+ Revision: 235858
- build for kernel-3.3.6-2.mga2

* Sun May 13 2012 tmb <tmb> 4.1.12-4.mga2
+ Revision: 235563
- build for kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 4.1.12-3.mga2
+ Revision: 235204
- build for kernel-3.3.5-1.mga2

* Sat Apr 28 2012 tmb <tmb> 4.1.12-2.mga2
+ Revision: 233926
- rebuild for kernel-3.3.4-1.mga2

* Mon Apr 23 2012 tmb <tmb> 4.1.12-1.mga2
+ Revision: 232879
- imported package kmod-vboxadditions

